Graph Composer failed building container image on Jetson

Environment

TensorRT Version: 8.4.1-1+cuda11.6
GPU Type: RTX 3090
Nvidia Driver Version: 515.57
CUDA Version: 11.7
Operating System + Version: Ubuntu 20.04.5 LTS
Python Version (if applicable): 3.8
TensorFlow Version (if applicable): N/A

Steps To Reproduce

  • Install TensorRT
  • Install Deepstream 6.1
  • Install Graph Composer 2.0
  • Download and install the reference graph package
  • Install Prerequisites by this instruction
  • Run sample graph reference “deepstream-test1” on my local machine
  • Build container image on Jetson

I can run sample graph reference “deepstream-test1” on my local machine, but I failed building container image on Jetson. How can I make it works, please help. : (

2022-07-13 16:18:42,917 - ContainerBuilder.container_builder.docker_manager.docker_manager - INFO - work folder: /home/rt/.cache/container_builder/.workfolder_10037 is ready
2022-07-13 16:18:42,917 - ContainerBuilder.container_builder.docker_manager.docker_manager - INFO - start build docker file /home/rt/.cache/container_builder/.dockerfile_10037
2022-07-13 08:18:44 [384,822ms] [Error] [omni.kit.app.impl] [py stderr]: Exception in thread Thread-1:
Traceback (most recent call last):
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/urllib3/connectionpool.py", line 710, in urlopen
    chunked=chunked,
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/urllib3/connectionpool.py", line 398, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1281, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1327, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1276, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1075, in _send_output
    self.send(chunk)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 997, in send
    self.sock.sendall(data)
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/requests/adapters.py", line 450, in send
    timeout=timeout
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/urllib3/connectionpool.py", line 786, in urlopen
    method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/urllib3/util/retry.py", line 550, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/urllib3/packages/six.py", line 769, in reraise
    raise value.with_traceback(tb)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/urllib3/connectionpool.py", line 710, in urlopen
    chunked=chunked,
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/urllib3/connectionpool.py", line 398, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1281, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1327, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1276, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1075, in _send_output
    self.send(chunk)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 997, in send
    self.sock.sendall(data)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/threading.py", line 926, in _bootstrap_inner
    self.run()
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/threading.py", line 870, in run
    self._target(*self._args, **self._kwargs)
  File "./container_builder/cli/container_builder_runtime.py", line 44, in build
    ret = docker_manager.build_main_yaml(graph_target=graph_target)
  File "./container_builder/docker_manager/docker_manager.py", line 457, in build_main_yaml
    if not self.build_stage_image(image_name):
  File "./container_builder/docker_manager/docker_manager.py", line 528, in build_stage_image
    nocache, squash)
  File "./container_builder/docker_manager/docker_builder.py", line 119, in build_from
    self._internal_build(**builds)
  File "./container_builder/docker_manager/docker_builder.py", line 69, in _internal_build
    stream = self._client.api.build(decode=True, **kwargs)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/docker/api/build.py", line 269, in build
    timeout=timeout,
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/docker/utils/decorators.py", line 46, in inner
    return f(self, *args, **kwargs)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/docker/api/client.py", line 233, in _post
    return self.post(url, **self._set_request_timeout(kwargs))
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/requests/sessions.py", line 577, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/requests/sessions.py", line 529, in request
    resp = self.send(prep, **send_kwargs)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/requests/sessions.py", line 645, in send
    r = adapter.send(request, **kwargs)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/requests/adapters.py", line 501, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))

Exception in thread Thread-1:
Traceback (most recent call last):
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/urllib3/connectionpool.py", line 710, in urlopen
    chunked=chunked,
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/urllib3/connectionpool.py", line 398, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1281, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1327, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1276, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1075, in _send_output
    self.send(chunk)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 997, in send
    self.sock.sendall(data)
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/requests/adapters.py", line 450, in send
    timeout=timeout
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/urllib3/connectionpool.py", line 786, in urlopen
    method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/urllib3/util/retry.py", line 550, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/urllib3/packages/six.py", line 769, in reraise
    raise value.with_traceback(tb)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/urllib3/connectionpool.py", line 710, in urlopen
    chunked=chunked,
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/urllib3/connectionpool.py", line 398, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1281, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1327, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1276, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 1075, in _send_output
    self.send(chunk)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/http/client.py", line 997, in send
    self.sock.sendall(data)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/threading.py", line 926, in _bootstrap_inner
    self.run()
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/threading.py", line 870, in run
    self._target(*self._args, **self._kwargs)
  File "./container_builder/cli/container_builder_runtime.py", line 44, in build
    ret = docker_manager.build_main_yaml(graph_target=graph_target)
  File "./container_builder/docker_manager/docker_manager.py", line 457, in build_main_yaml
    if not self.build_stage_image(image_name):
  File "./container_builder/docker_manager/docker_manager.py", line 528, in build_stage_image
    nocache, squash)
  File "./container_builder/docker_manager/docker_builder.py", line 119, in build_from
    self._internal_build(**builds)
  File "./container_builder/docker_manager/docker_builder.py", line 69, in _internal_build
    stream = self._client.api.build(decode=True, **kwargs)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/docker/api/build.py", line 269, in build
    timeout=timeout,
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/docker/utils/decorators.py", line 46, in inner
    return f(self, *args, **kwargs)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/docker/api/client.py", line 233, in _post
    return self.post(url, **self._set_request_timeout(kwargs))
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/requests/sessions.py", line 577, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/requests/sessions.py", line 529, in request
    resp = self.send(prep, **send_kwargs)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/requests/sessions.py", line 645, in send
    r = adapter.send(request, **kwargs)
  File "/tmp/.tmpNvXgRaphComposer/run/kit/python/lib/python3.7/requests/adapters.py", line 501, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))
2022-07-13 08:18:44 [384,822ms] [Error] [omni.kit.app.impl] [py stderr]:

Are you building arm64 container on x86?

Yesm I’m building arm64 container on x86.
Could you help me solve my problem?